:root{--btnColor:#1CB278;--btnBack:#FFF;--btnCurBack:#EFFEF9;--curColor:#1CB278;--curBack:#EFFEF9;--sideWidth:2.5rem;--sideWidth2:calc(var(--sideWidth) * -1)}
*{box-sizing:border-box}
html{font-size:100px}
body{font-size:.14rem;-webkit-tap-highlight-color:transparent;font-family:"Microsoft Yahei",Arial,Helvetica;padding:0;margin:0;word-break:break-word;color:#333;line-height:1.7;background:#fff;}
html.no-scroll,body.ifm-full{height:100vh;overflow:hidden;-webkit-overflow-scrolling:auto}
a{color:#333;text-decoration:none;cursor:pointer}
a:hover{color:var(--curColor);transition:0.3s ease;-ms-transition:0.3s ease;-moz-transition:0.3s ease;-webkit-transition:0.3s ease;-o-transition:0.3s ease;}
:focus,input{outline:0}
blockquote,body,button,code,dd,div,dl,dt,fieldset,form,h1,h2,h3,h4,h5,h6,input,legend,li,ol,p,pre,td,textarea,th,ul{margin:0;padding:0}
button,input,optgroup,option,select,textarea{font-family:inherit;font-style:inherit;}
button,select,input[type='radio'],input[type='checkbox'],input[type='button'],input[type='range'],.cur{cursor:pointer;}
fieldset,img,button{border:none}
i,em{font-style:normal}
ol,ul{list-style:none;}
input::placeholder{color:#ccc;}
textarea,select,input{border:.01rem solid #ccc;padding:.03rem .05rem;line-height:1.5;}
table{border-collapse:collapse;border-spacing:0;background-color:#fff;width:100%}
td,th{padding:.1rem .15rem;border:.01rem solid #ccc;line-height:.2rem;}
thead,tfoot,th{background:#f3f3f3;}
tr.err-1{background-color:red;}
select{appearance:none;-moz-appearance:none;-webkit-appearance:none;background:#fff url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAoAAAAFCAYAAAB8ZH1oAAAAN0lEQVQYV2NMS0trYGBgqGfADxoZQfIEFDfOmjWrAawQj2KwIpA8XCEWxXBFGAqRFDPATILZCAAgIhW4LIHZ6wAAAABJRU5ErkJggg==') no-repeat;background-position:right .1rem center;padding:.03rem .3rem .03rem .05rem;}
.checkbox{display:inline-block;cursor:pointer;position:relative;height:.28rem;line-height:.28rem;padding-right:.28rem}
.checkbox input[type='checkbox']{appearance:none;-moz-appearance:none;-webkit-appearance:none;position:absolute;width:100%;height:100%;left:0;}
.checkbox input[type='checkbox'] + i{height:100%;margin:0;padding:0 .08rem;display:inline-block;color:#fff;background-color:#d2d2d2;border-right:.01rem solid #ccc;}
.checkbox input[type='checkbox']:checked,.checkbox input[type='checkbox']:hover{border-color:var(--curColor);}
.checkbox input[type='checkbox']:checked::after{content:'';position:absolute;right:.04rem;top:.03rem;display:block;width:.2rem;height:.2rem;background:url('../img/on.svg')}
.checkbox input[type='checkbox']:checked + i,.checkbox input[type='checkbox']:hover + i{background-color:var(--curColor);border-color:var(--curColor)}
.checkbox-left{padding-left:.28rem;padding-right:0}
.checkbox-left input[type='checkbox']:checked::after{left:.04rem;right:0}
.checkswitch{display:inline-block;cursor:pointer;position:relative;height:.24rem;width:.48rem;border-radius:.12rem;background-color:#d2d2d2;}
.checkswitch input[type='checkbox']{appearance:none;-moz-appearance:none;-webkit-appearance:none;border:0;position:absolute;width:100%;height:100%;left:0;border-radius:.12rem;}
.checkswitch i{background-color:#fff;border-radius:50%;width:.16rem;height:.16rem;position:absolute;left:.04rem;top:.04rem}
.checkswitch input[type='checkbox']:checked{background-color:var(--curColor)}
.checkswitch input[type='checkbox']:checked + i{left:unset;right:.04rem;}
.textswitch{display:inline-block;cursor:pointer;position:relative;height:.28rem;border-radius:.14rem;background-color:#d2d2d2}
.textswitch input{appearance:none;-moz-appearance:none;-webkit-appearance:none;border:0;position:absolute;width:100%;height:100%;left:0}
.textswitch i{color:#fff;margin:0;padding:0 .1rem;display:inline-block;-webkit-transition:.3s;transition:.3s;height:.28rem;line-height:.28rem;font-size:.12rem;border-radius:.14rem}
.textswitch input+i+i{background-color:var(--curColor);}
.textswitch input[type='checkbox']:checked+i{background-color:var(--curColor);}
.textswitch input[type='checkbox']:checked+i+i{background-color:transparent;}
.radio{cursor:pointer;display:flex;height:.28rem;line-height:.28rem;}
.radio input[type='radio']{position:relative;appearance:none;-webkit-appearance:none;-moz-appearance:none;outline:0;cursor:pointer;width:.2rem;height:.2rem;border:.01rem solid #ccc;border-radius:50%;margin:.04rem .05rem 0 0}
.radio input[type='radio']:checked,.radio input[type='radio']:hover{border-color:var(--curColor);}
.radio input[type='radio']:checked::after{content:'';position:absolute;top:.04rem;left:.04rem;display:block;width:.1rem;height:.1rem;background-color:var(--curColor);border-radius:50%}
.radio input[type='radio']:checked + i,.radio input[type='radio']:hover + i{color:var(--curColor)}
.radioswitch{display:inline-block;position:relative;height:.28rem;border-radius:.14rem;background-color:#d2d2d2}
.radioswitch input[type='radio']{display:none}
.radioswitch i{cursor:pointer;color:#fff;margin:0;padding:0 .1rem;display:inline-block;-webkit-transition:.3s;transition:.3s;height:.28rem;line-height:.28rem;font-size:.12rem;border-radius:.14rem}
.radioswitch input[type='radio']:checked + i{background-color:var(--curColor);}
input[type='text']:read-only, input[type='number']:read-only{background-color:rgb(204,204,204,.3);}
svg{display:inline-block;vertical-align:top}
/*flex*/
.flex{display:-webkit-box;display:-webkit-flex;display:-ms-flexbox;display:flex}
.flex-v{-webkit-box-orient:vertical;-webkit-flex-direction:column;-ms-flex-direction:column;flex-direction:column}
.flex-1{-webkit-box-flex:1;-webkit-flex:1;-ms-flex:1;flex:1;}
.flex-wrap{display:flex;display:-webkit-flex;-webkit-flex-wrap:wrap;flex-wrap:wrap}
.flex-nowrap{display:flex;display:-webkit-flex;-webkit-flex-wrap:nowrap;flex-wrap:nowrap}
.flex-center{-webkit-box-pack:center;-ms-flex-pack:center;justify-content:center;-webkit-box-align:center;-ms-flex-align:center;align-items:center}
.flex-align-center{display:-webkit-box;display:box;-webkit-box-align:center;-webkit-align-items:center;-ms-flex-align:center;align-items:center}
.flex-pack-center{-webkit-box-pack:center;-webkit-justify-content:center;-ms-flex-pack:center;justify-content:center}
.flex-pack-justify{-webkit-box-pack:justify;-webkit-justify-content:space-between;-ms-flex-pack:justify;justify-content:space-between}
.flex-pack-end{-webkit-box-pack:justify;-webkit-justify-content:flex-end;-ms-flex-pack:justify;justify-content:flex-end}
.flex-pack-start{-webkit-box-pack:justify;-webkit-justify-content:flex-start;-ms-flex-pack:justify;justify-content:flex-start}
.flex-pack-around{-webkit-box-pack:justify;-webkit-justify-content:space-around;-ms-flex-pack:justify;justify-content:space-around}
/*pop dialog*/
@keyframes left-in{from{left:-100%}to{left:0}}
@keyframes left-out{from{left:0}to{left:-100%}}
@keyframes right-in{from{right:-100%}to{right:0}}
@keyframes right-out{from{right:0}to{right:-100%}}
@keyframes top-in{from{top:-100%}to{top:0}}
@keyframes top-out{from{top:0}to{top:-100%}}
@keyframes bottom-in{from{bottom:-100%}to{bottom:0}}
@keyframes bottom-out{from{bottom:0}to{bottom:-100%}}
.dialog-pop{height:100%;left:0;position:fixed;top:0;width:100%;z-index:999;display:none}
.dialog-main{position:absolute;top:50%;left:50%;transform:translate(-50%, -50%);-webkit-transform:translate(-50%, -50%)}
.dialog-mask{background:rgba(0,0,0,.5);height:100%;left:0;position:absolute;top:0;width:100%}
.dialog-close{cursor:pointer;display:block;overflow:hidden;width:.2rem;height:.2rem;position:absolute;top:.25rem;right:.25rem;z-index:999}
.dialog-close::after,.dialog-close::before{position:absolute;content:'';background-color:#666;left:.1rem;width:.01rem;height:.15rem}
.dialog-close::before{transform:rotate(45deg)}
.dialog-close::after{transform:rotate(-45deg)}
.dialog-pop .top-in{top:0;animation:top-in .3s;-webkit-animation:top-in .3s;}
.dialog-pop .top-out{top:-100%;animation:top-out .3s;-webkit-animation:top-out .3s;}
.dialog-pop .bottom-in{bottom:0;animation:bottom-in .3s;-webkit-animation:bottom-in .3s;}
.dialog-pop .bottom-out{bottom:-100%;animation:bottom-out .3s;-webkit-animation:bottom-out .3s;}
/*pop sider*/
#popSider .dialog-close{right:.32rem}
#popSider .dialog-main{left:auto;top:0;bottom:0;height:100%;transform:none;-webkit-transform:none}
#popSider .dialog-body{height:100%;}
#popSider .left-in{left:0;animation:left-in .5s;-webkit-animation:left-in .5s;}
#popSider .left-out{left:-100%;animation:left-out .5s;-webkit-animation:left-out .5s;}
#popSider .right-in{right:0;animation:right-in .5s;-webkit-animation:right-in .5s;}
#popSider .right-out{right:-100%;animation:right-out .5s;-webkit-animation:right-out .5s;}
/*pop confirm*/
#popConfirm .dialog-close{display:none}
.popConfirm{background:linear-gradient(165deg, rgb(221, 246, 247), rgb(255, 255, 255), rgb(255, 255, 255));padding:.32rem .32rem .24rem;border-radius:.1rem;font-size:100%;max-width:5rem}
.popConfirm-title{font-size:110%;}
.popConfirm-title svg{width:.28rem;height:.28rem;fill:#ffb800;margin-top:-.01rem;margin-right:.1rem}
.popConfirm-cont{margin-top:.1rem;color:#666;line-height:1.6}
.popConfirm-btns{margin-top:.24rem;text-align:right}
.popConfirm-btns button{border:.01rem solid #eee;border-radius:.05rem;background-color:#fff;color:#666;padding:.06rem .2rem}
.popConfirm-btns button:hover{border-color:var(--btnColor);color:var(--btnColor)}
.popConfirm-btns button:last-child{margin-left:.1rem;border-color:var(--btnColor);background-color:var(--btnColor);color:#fff}
.popConfirm-btns button:last-child:hover{opacity:.8}
/*Tips*/
.popTip{position:fixed;width:100%;height:.38rem;text-align:center;z-index:99999;max-width:100%;top:40%;left:50%;transform:translate(-50%, -50%);}
.popTip div{font-size:90%;letter-spacing:.01rem;color:#fff;position:relative;display:inline-block;margin:0 auto;background:rgba(0,0,0,.65);border-radius:.04rem;height:.38rem;line-height:.38rem;padding:0 .2rem;text-align:center;white-space:nowrap}
.popTip div.pop-err{background:rgb(255,87,34);}
.popTip div.pop-warn{background:rgb(255,184,0);}
.popTip div.pop-succ{background:rgb(22,183,119);}
.popTips{position:absolute;padding:.15rem;background:#fff;box-shadow:0 .02rem .1rem rgba(74,92,186,.3);border-radius:.06rem;color:#666;max-width:4rem;line-height:1.6;font-size:100%;z-index:999}
i.tips{display:inline-block;width:.18rem;height:.18rem;background:url('../img/tips.svg');margin-left:.05rem;cursor:pointer;}
/*ajaxLoading*/
.loadWraper{width:100%;height:100%;margin:auto;top:0;left:0;position:absolute}
.loadEffect{display:block;width:1rem;height:1rem;position:absolute;margin-top:-.5rem;margin-left:-.5rem;left:50%;top:50%}
.loadEffect span{display:inline-block;width:.16rem;height:.16rem;border-radius:50%;background:#1E9FFF;position:absolute;-webkit-animation:load 1.04s ease infinite}
@-webkit-keyframes load{0%{opacity:1}100%{opacity:.2}}
.loadEffect span:nth-child(1){left:0;top:50%;margin-top:-.08rem;-webkit-animation-delay:.13s}
.loadEffect span:nth-child(2){left:.14rem;top:.14rem;-webkit-animation-delay:.26s}
.loadEffect span:nth-child(3){left:50%;top:0;margin-left:-.08rem;-webkit-animation-delay:.39s}
.loadEffect span:nth-child(4){top:.14rem;right:.14rem;-webkit-animation-delay:.52s}
.loadEffect span:nth-child(5){right:0;top:50%;margin-top:-.08rem;-webkit-animation-delay:.65s}
.loadEffect span:nth-child(6){right:.14rem;bottom:.14rem;-webkit-animation-delay:.78s}
.loadEffect span:nth-child(7){bottom:0;left:50%;margin-left:-.08rem;-webkit-animation-delay:.91s}
.loadEffect span:nth-child(8){bottom:.14rem;left:.14rem;-webkit-animation-delay:1.04s}
/*progress-bar*/
.progress-bar{height:.16rem;background:#e0e0e0;border-radius:10px;overflow:hidden;position:relative}
.progress-fill{height:100%;width:var(--progress,0%);background:linear-gradient(90deg,#2575fc,#6a11cb);border-radius:10px;position:relative;overflow:hidden}
.progress-fill::after{content:'';position:absolute;top:0;left:0;bottom:0;right:0;background-image:linear-gradient(-45deg,rgba(255,255,255,0.2) 25%,transparent 25%,transparent 50%,rgba(255,255,255,0.2) 50%,rgba(255,255,255,0.2) 75%,transparent 75%,transparent);background-size:20px 20px;}
/*header*/
.header{position:fixed;left:0;top:0;width:100%;height:.8rem;background:#fff;border-top:.04rem solid var(--btnColor);border-bottom:.01rem solid #d4d4d4;box-shadow:0 0 .04rem rgba(0,0,0,.2);z-index:666;_position:absolute}
.header-inner{height:.75rem;padding:0 .25rem}
.header-inner .logo{padding:.125rem 0}
.header-inner ul{height:.75rem;padding:0 .5rem}
.header-inner dl{position:relative}
.header-inner dl a,.header-inner li a{cursor:pointer;display:block;line-height:.75rem;padding:0 .2rem;text-decoration:none;white-space:nowrap;}
.header-inner dl > a:after{content:'';display:inline-block;width:0;height:0;margin-left:.08rem;vertical-align:middle;border-top:.04rem dashed #333;border-right:.04rem dashed transparent;border-left:.04rem dashed transparent}
.header-inner dd{display:none;position:absolute;left:0;max-width:2.1rem;padding:.1rem 0;background:#fff;border:.01rem solid #d4d4d4}
.header-inner dd a{line-height:.32rem}
.header-inner dd a:hover{background:var(--curBack)}
.header-inner dl:hover dd{display:block}
.header-login{color:var(--curColor)}
.loginIframe{width:5.2rem;height:5rem;border-radius:.1rem;border:none}
/*footer*/
.footer{background-color:#fff;height:1.01rem;margin-left:var(--sideWidth);border-left:.01rem solid #ccc;}
.no-side .footer{border-left:0;margin-left:0}
.footer-inner{padding:.25rem .3rem;border-top:.01rem solid #ccc;background:#ebebeb;overflow:hidden}
.footer-inner .logo{position:relative;height:.5rem}
.footer-inner .logo:after{display:block;content:'';position:absolute;height:.24rem;right:-.2rem;top:.13rem;border-left:.01rem solid #999}
.footer-inner .info{margin-left:.4rem}
.footer-inner .info p{line-height:.25rem}
/*page*/
.pagelink{display:inline-block;color:#999;font-size:100%;text-align:left}
.pagelink #pagestats,.pagelink kbd,.pagelink .first,.pagelink .last{display:none}
.pagelink a,.pagelink strong{position:relative;padding:.05rem .1rem;margin-left:-.01rem;color:var(--curColor);border:.01rem solid #e6e6e6}
.pagelink strong,.pagelink a.cur,.pagelink a:hover{z-index:2;background-color:var(--curBack);border-color:var(--curFont)}
.pagelink strong{z-index:3;font-weight:normal;}
/*layout*/
.wraper{display:block;padding-top:.8rem;position:relative;min-height:100%;}
.main{position:relative;width:100%;min-height:calc(100vh - 1.81rem);margin:0 auto;display:-webkit-box;display:-webkit-flex;display:-ms-flexbox;display:flex}
.main-sider{width:var(--sideWidth);background:#fff;overflow:hidden;}
.main-body{border-left:.01rem solid #ccc;background:#fdfdfd;position:relative;overflow:hidden;padding:.2rem .3rem 1.5rem;-webkit-box-flex:1;-webkit-flex:1;-ms-flex:1;flex:1}
.sider-tool{padding:.38rem .2rem;position:relative}
/*radio*/
.radio-group{gap:.1rem;margin:.08rem 0 .15rem;}
.radio-group label{cursor:pointer}
.radio-group input{margin-right:.03rem;}
/*search group*/
.search-group{position:relative;display:-webkit-box;display:-webkit-flex;display:-ms-flexbox;display:flex}
.search-group input{border-color:var(--btnColor);-webkit-box-flex:1;-webkit-flex:1;-ms-flex:1;flex:1}
.search-group button{background-color:var(--btnColor);color:#fff;padding:0 .15rem}
.search-lg{min-height:.4rem;line-height:.4rem;}
.search-lg input,.search-lg select{line-height:2;}
.search-lg span{margin-right:.15rem}
.search-lg span + input{border-color:#ccc}
.search-lg button{min-width:1rem;font-size:115%}
/*btn*/
.btn-myTools{display:none}
.btn-set{position:absolute;right:0;top:0;border-left:.01rem solid #ccc;border-bottom:.01rem solid #ccc;padding:.05rem;cursor:pointer;}
.btn-set svg{display:block;width:.16rem;fill:#999}
.btn-link{gap:.15rem .08rem;overflow:hidden;display:flex;display:-webkit-flex;-webkit-flex-wrap:wrap;flex-wrap:wrap}
.btn-link a{white-space:nowrap;max-width:100%;text-align:center;color:#555;background-color:#fff;border:.01rem solid #ccc;height:.32rem;line-height:.32rem;padding:0 .1rem;-webkit-box-flex:1;-webkit-flex:1;-ms-flex:1;flex:1;}
.btn-link a:hover,.btn-link a.on{border-color:var(--btnColor);color:var(--btnColor);background-color:var(--btnCurBack)}
.btn-group{gap:.08rem;margin:.15rem 0}
.btn-group label{cursor:pointer}
.btn{border-radius:.05rem;position:relative;color:var(--btnColor);background-color:var(--btnBack);border:.01rem solid var(--btnColor);height:.32rem;line-height:.3rem;width:auto;min-width:.8rem;overflow:visible;padding:0 .2rem;font-size:90%;transform:translate3d(1px, 1px, 1px);}
.btn.hover,.btn:hover{color:var(--btnColor);background-color:var(--btnCurBack);border-color:var(--btnColor)}
.btn-on,.btn-on:hover{background-color:var(--btnColor);border-color:var(--btnColor);color:#fff;}
.btn-danger,.btn-danger:hover{background-color:#ff5722;border-color:#ff5722;color:#fff;}
.btn-blue{background-color:#007bff;border-color:#007bff;color:#fff;}
.btn-blue:hover{background-color:#0056b3;border-color:#0056b3;color:#fff;}
.btn-gray{border-color:#ccc;color:#999}
.btn-medium{font-size:100%;height:.44rem;line-height:.42rem;border-radius:.22rem;}
.btn-sm{height:.24rem;line-height:.22rem;min-width:auto;}
.btn-block{width:100%}
.btn:disabled{cursor:not-allowed;opacity:.4}
.btn svg{width:.16rem;margin-right:.05rem;}
.btn.addSet svg{fill:#ccc}
.btn.delSet svg{fill:#ea8496}
/*breadcrumb*/
.breadcrumb{margin-bottom:.15rem;color:#666}
.breadcrumb a{color:#666}
.breadcrumb span{margin:0 .05rem}
/*panel*/
.panel{background-color:#fff;border:.01rem solid #ddd;border-radius:.04rem;-webkit-box-shadow:0 .01rem .01rem #ddd;box-shadow:0 .01rem .01rem rgba(0,0,0,.05)}
.panel-hd{padding:.1rem .15rem;border-bottom:.01rem solid #ddd;border-top-left-radius:.03rem;border-top-right-radius:.03rem;background-color:#f5f5f5}
.panel-bd{padding:.15rem}
/*global*/
h1,.f-1{font-size:150%}
h2,.f-2{font-size:140%}
h3,.f-3{font-size:130%}
h4,.f-4{font-size:120%}
h5,.f-5{font-size:110%}
h6,.f-6{font-size:100%}
.f-12{font-size:.12rem}
.f-13{font-size:.13rem}
.f-14{font-size:.14rem}
.f-16{font-size:.16rem}
.f-30{font-size:.3rem}
.c-333{color:#333!important}
.c-999{color:#999!important}
.c-blue{color:#007bff!important}
.c-on{color:var(--curColor)}
.c-danger{color:#ff5722!important}
.m-auto{margin:0 auto}
.mt-5{margin-top:.05rem}
.mt-10{margin-top:.1rem}
.mb-10{margin-bottom:.1rem}
.ml-10{margin-left:.1rem}
.mr-10{margin-right:.1rem}
.mt-20{margin-top:.2rem}
.mb-20{margin-bottom:.2rem}
.ml-20{margin-left:.2rem}
.mr-20{margin-right:.2rem}
.mt-50{margin-top:.5rem}
.mb-50{margin-bottom:.5rem}
.pt-10{padding-top:.1rem}
.p-10{padding:.1rem}
.p-15{padding:.15rem}
.p-20{padding:.2rem}
.tc{text-align:center}
.tl{text-align:left}
.tr{text-align:right}
.fb{font-weight:600}
.b-s{border:.01rem solid #ccc}
.b-b-d{border-bottom:.01rem dashed #ddd}
.b-t-d{border-top:.01rem dashed #ddd}
.l-2{line-height:2}
.l-28{line-height:.28rem}
.l-32{line-height:.32rem}
.a-un{text-decoration:underline!important;}
.disabled{opacity:.6;cursor:not-allowed}
.w-600{width:6rem;max-width:100%}
.hide{display:none}
.nowrap{white-space:nowrap;}
.relate{position:relative}
.bg-w{background-color:#fff}
.gap-5{gap:.05rem;}
.gap-10{gap:.1rem;}
.gap-15{gap:.15rem;}
.gap-20{gap:.2rem;}
.filter-hd a{font-size:110%;margin:0 .3rem .15rem 0;padding-bottom:.1rem;display:inline-block;position:relative}
.filter-hd .on{color:var(--curColor)}
.filter-hd .on::after{content:"";position:absolute;background-color:var(--curColor);left:0;right:0;bottom:0;height:.03rem}
.main-title{margin-bottom:.15rem}
table.bg-odd tr:nth-of-type(odd){background-color:#f9fafb}
table.bg-even tr:nth-of-type(even){background-color:#f9fafb}
.table-scroll-x{width:100%;overflow-y:hidden;overflow-x:auto;-ms-overflow-style:-ms-autohiding-scrollbar;-webkit-overflow-scrolling:touch}
.card{background-color:#fff;border:1px solid rgb(99 102 241 / 15%);box-shadow:0 4px 8px rgba(0, 0, 0, .1);border-radius:.05rem;}
.one-text{word-wrap:normal;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}
/*tool*/
.toolSet{width:calc(100vw - var(--sideWidth));height:100%;border:none;background-color:#fff;display:block}
.main-tool textarea.code{width:100%;display:block}
.mainText{position:relative;width:100%}
.mainText textarea.code{min-width:3rem;max-width:100%;}
.mainText input[type='text']{height:.4rem;width:100%}
.mainUpload{position:relative;border:.02rem dashed #ccc;border-radius:.08rem;background-color:#f8f8f8;padding:.3rem 0;text-align:center;}
.mainUpload p,.mainUpload h3{color:#666;margin:.1rem 0}
.mainUpload input[type='file'],.hideUpload{position:absolute;top:0;left:0;width:100%;height:100%;opacity:0;cursor:pointer}
.tool-bar{padding:.1rem;background-color:#f8f8f8;border:.01rem solid #ccc;gap:.1rem}
.tool-bar + textarea.code{border-top:0}
.tool-bar button{border-color:#ccc;color:#999}
.tool-doc{margin-top:.2rem}
.tool-doc h4{margin:.15rem 0 .1rem}
.tool-doc h5{margin:.1rem 0 .08rem}
.tool-doc p{margin:.1rem 0}
.tool-doc p strong{margin-right:.1rem}
.tool-doc pre{display:block;padding:.1rem;margin:.1rem 0;line-height:1.5;white-space:normal;word-break:break-all;word-wrap:break-word;color:#333;background-color:#f5f5f5;border:1px solid #ccc;border-radius:.04rem;font-family:initial;}
.tool-doc code{background-color:#f8f9fa;border:.01rem solid #eaecf0;border-radius:.02rem;padding:.01rem .04rem;margin:0 .04rem}
.tool-preview{gap:.1rem}
.tool-preview a{flex:1;white-space:nowrap;max-width:100%;position:relative;border:.01rem solid #eee;border-radius:.04rem;background-color:#f8f8f8;text-align:center;padding:.2rem .3rem;}
.tool-preview a span{position:absolute;left:0;top:0;font-size:80%;padding:0 2%;background-color:var(--curColor);color:#fff;height:.2rem;line-height:.2rem}
.tool-preview a em{font-size:85%;display:block;overflow:hidden;color:#999;font-family:tahoma,arial,georgia,verdana,helvetica,sans-serif}
.tool-box{border:.01rem solid #eee;background-color:#f8f8f8;border-radius:.04rem;padding:.2rem}
.tool-box p{line-height:.26rem}
.tool-box hr{border:0;border-top:.01rem dashed #ddd}
.tool-box a{color:var(--curColor)}
.tool-col{border-bottom:.01rem solid #eee;white-space:nowrap;margin:0 .1rem}
.tool-col-300{min-width:3rem}
.tool-col-100{min-width:1rem}
.tool-col-auto{min-width:auto;padding:0 .2rem}
.tool-col p{margin:.1rem 0;}
.tool-nav a{display:inline-block;white-space:nowrap;padding:0 .08rem}
.tool-nav a.on:after{content:'';display:block;border-radius:.02rem;height:.04rem;margin:.01rem;background-color:var(--curColor)}
.tool-result{background-color:#fff;border:.01rem solid #ccc;padding:.1rem}
.tool-result img{margin:.1rem}
.search-list p{margin:.1rem 0}
.search-list time{margin-left:.2rem;color:#999}
.dict-area ul{line-height:2;padding-left:.1rem;padding-bottom:.1rem}
.dict-area ul>li{list-style-type:decimal}
.dict-area ul ol{list-style:none;margin:0;padding:0;color:#af9100;}
.dict-area .encs{color:#390;font-size:90%}
.tool-jump{margin-right:.1rem}
.tool-double > form,.tool-double > div{min-width:3rem;max-width:100%;}
.tool-action{margin-top:.15rem}
.tool-action-col{width:3rem;max-width:100%}
.tool-action-col em{width:.88rem;line-height:.28rem}
.tool-action-col i{color:#999;margin-left:.04rem}
.tool-action-col.col-2{width:6.1rem}
.tool-action-col.col-all{width:100%}
/*article*/
.article p + br{display:none}
.article-info time{color:#999}
.article-info a{color:#007bff}
.article-cont article,.article{font-size:110%;line-height:1.7}
.article-cont article p,.article-cont h2,.article p{margin:.15rem 0}
.article-cont article img{max-width:100%}
.article-cont ul{list-style-type:disc;list-style-position:outside;list-style-image:none}
.article-cont ol{list-style-type:decimal;list-style-position:outside;list-style-image:none}
.article-cont ol,.article-cont ul{padding-left:20px}
.article-cont a{color:var(--curColor)}
/*comment*/
.main-comment{margin-top:.2rem}
.main-comment h4 i{margin-left:.2rem}
.comm-container > div{margin-top:.25rem}
.comm-form{padding-top:.1rem}
.comm-form form textarea{width:100%;border-radius:.05rem;padding:.1rem}
.comm-form form button{background-color:var(--curColor);color:#fff;padding:.08rem .2rem;border-radius:.05rem}
.comm-left{margin-right:.15rem}
.comm-left img{width:.48rem;height:.48rem;border-radius:50%}
.comm-right .comm-left img{width:.4rem;height:.4rem;}
.comm-user{font-weight:600}
.comm-user i{font-weight:400;font-size:85%;margin-left:.05rem;color:var(--curColor)}
.comm-text{color:#444;font-weight:400}
.comm-text em{margin:0 .03rem 0 .05rem}
.comm-at{color:#007bff}
.comm-time{color:#999;font-weight:400;font-size:85%}
.comm-time span{margin-left:.08rem}
.comm-reply{font-size:90%}
.comm-pager{margin-top:.2rem;text-align:center}
.comm-pager button{background-color:var(--curBack);color:var(--curColor);border:.01rem solid var(--curColor);border-radius:.05rem;padding:.08rem .2rem;min-width:3rem;max-width:100%}
.reply-pager{margin-top:.2rem;position:relative;display:inline-block}
.reply-pager::after{content:'';position:absolute;top:.05rem;width:.09rem;height:.09rem;margin-left:.1rem;transform:rotate(45deg);border-bottom:.01rem solid #333;border-right:.01rem solid #333}
.reply-pager:hover::after{border-color:var(--curColor)}
.reply-pager.reply-on::after{top:.1rem;transform:rotate(-135deg);}
/*media*/
@media screen and (max-width:1023px) {
	.only-pc{display:none}
	.header{height:.56rem;border-top:0}
	.header-inner{height:.56rem;padding:0}
	.header-inner .logo{padding:.08rem .16rem}
	.header-inner ul{height:.56rem}
	.header-inner img{height:.4rem;width:auto}
	.header-inner dl a,.header-inner li a{line-height:.56rem}
	.header-inner dd a{line-height:.3rem}
	.header-user{padding:0 .16rem}
	.header-user dl > a{padding:0}
	.header-user dd{left:auto;right:-.1rem}
	.footer{margin-left:0;border-left:0}
	.wraper{padding-top:.56rem;}
	.main{min-height:calc(100vh - 1.57rem);}
	.main-sider{position:fixed;top:0;left:var(--sideWidth2);z-index:98;padding-top:.56rem;height:100%;overflow-y:auto;margin-bottom:0;padding-bottom:0;border-right:none;webkit-transition:all .25s ease;-moz-transition:all .25s ease;transition:all .25s ease;-webkit-transform:translateZ(0)}
	.menu-side{width:.48rem;height:.56rem;padding:.2rem .16rem}
	.menu-side span{display:block;height:.03rem;background:var(--curColor);-webkit-transition:all;-moz-transition:all;-o-transition:all;transition:all;-webkit-transition-duration:300ms;transition-duration:300ms}
	.show-side{height:100vh;overflow:hidden;-webkit-overflow-scrolling:auto}
	.show-side .menu-side span:first-child{transform:translateX(-.04rem) translateY(.12rem) rotate(45deg);-webkit-transform:translateX(-.04rem) translateY(.12rem) rotate(45deg)}
	.show-side .menu-side span:last-child{transform:translateX(-.04rem) translateY(-.12rem) rotate(-45deg);-webkit-transform:translateX(-.04rem) translateY(-.12rem) rotate(-45deg)}
	.show-side .mod-mask{position:fixed;top:0;left:0;z-index:97;display:block;content:'';width:100%;height:100%;background:rgba(0,0,0,.5);-webkit-transform:translateZ(0)}
	.show-side .main-sider{left:0}
	.no-side .menu-side{display:none}
}
@media screen and (max-width:767px) {
	.toolSet{width:100vw}
	.footer-inner .logo{display:none}
	.comm-container > div{margin-top:.15rem}
	.comm-left{margin-right:.1rem}
	.comm-left img{width:.32rem;height:.32rem}
	.comm-right .comm-left img{width:.24rem;height:.24rem}
}
@media screen and (max-width:639px) {
	.header-inner ul{padding: 0 .1rem}
	.header-inner dl a, .header-inner li a{padding:0 .1rem}
	.header-inner dl > a:after,.header-inner dl:hover dd{display:none}
	td, th{padding:.05rem .08rem}
	th{white-space:nowrap;}
	.footer{height:auto}
	.footer-inner{padding:.2rem .16rem}
	.footer-inner .info{margin-left:0}
	.main-body{padding:.2rem .16rem}
	.tool-col-100{min-width:.94rem}
	.tool-preview a{padding:.1rem .15rem}
	.popConfirm{min-width:unset;max-width:unset;width:100vw}
	.loginIframe{width:100vw;height:100vh;border-radius:0}
	.dialog-main{bottom:0;width:100%;position:absolute;top:unset;left:unset;transform:unset;-webkit-transform:unset}
	.mw-100{width:100%!important;min-width:100%!important}
}